# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricDefinition.CircuitBreakerState

Packages that use MetricDefinition.CircuitBreakerState
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Uses of MetricDefinition.CircuitBreakerState in org.eclipse.microprofile.fault.tolerance.tck.metrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that return MetricDefinition.CircuitBreakerState
Modifier and Type
Method
Description
`static MetricDefinition.CircuitBreakerState`
MetricDefinition.CircuitBreakerState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetricDefinition.CircuitBreakerState[]`
MetricDefinition.CircuitBreakerState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util with parameters of type MetricDefinition.CircuitBreakerState
Modifier and Type
Method
Description
`GaugeMetric`
MetricGetter.`getCircuitBreakerState(MetricDefinition.CircuitBreakerState cbState)`